Last Comment Bug 543340 - Turning Encryption On and Off is no longer an option, remove it from Help
: Turning Encryption On and Off is no longer an option, remove it from Help
Status: RESOLVED FIXED
: fixed-seamonkey2.0.4
Product: SeaMonkey
Classification: Client Software
Component: Help Documentation (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1a1
Assigned To: Jens Hatlak (:InvisibleSmiley)
:
:
Mentors:
: 416235 (view as bug list)
Depends on:
Blocks: 423281
  Show dependency treegraph
 
Reported: 2010-01-31 09:58 PST by Jens Hatlak (:InvisibleSmiley)
Modified: 2010-02-10 03:13 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (8.52 KB, patch)
2010-01-31 09:58 PST, Jens Hatlak (:InvisibleSmiley)
no flags Details | Diff | Splinter Review
patch v2 [Checkin: comments 3 + 6] (13.82 KB, patch)
2010-02-01 13:33 PST, Jens Hatlak (:InvisibleSmiley)
stefanh: review+
kairo: approval‑seamonkey2.0.4+
Details | Diff | Splinter Review

Description Jens Hatlak (:InvisibleSmiley) 2010-01-31 09:58:55 PST
Created attachment 424498 [details] [diff] [review]
patch

Turning Encryption On and Off has been removed from preferences so it needs to be removed from Help, too.
Comment 1 Stefan [:stefanh] (away until December 6) 2010-02-01 11:59:04 PST
In suite/locales/en-US/chrome/common/help/passwords_help.xhtml, there's a section called "Encryption Versus Obscuring" that contains references to the checkbox. While you're there, can you also please remove the Form manager references (I found 3 or 4)?
Comment 2 Jens Hatlak (:InvisibleSmiley) 2010-02-01 13:33:07 PST
Created attachment 424654 [details] [diff] [review]
patch v2 [Checkin: comments 3 + 6]

(In reply to comment #1)
> In suite/locales/en-US/chrome/common/help/passwords_help.xhtml, there's a
> section called "Encryption Versus Obscuring" that contains references to the
> checkbox. While you're there, can you also please remove the Form manager
> references (I found 3 or 4)?

Done. I also took the liberty to add a "the" in front of "Password Manager dialog box" ("the" goes with "dialog box"; I'd even say it requires it) and capitalize "Manager" in the one reference to the Tools menu entry.
Comment 3 Jens Hatlak (:InvisibleSmiley) 2010-02-02 14:16:29 PST
Comment on attachment 424654 [details] [diff] [review]
patch v2 [Checkin: comments 3 + 6]

http://hg.mozilla.org/comm-central/rev/fd830d0de206
Comment 4 Bruno 'Aqualon' Escherl 2010-02-09 06:48:31 PST
*** Bug 416235 has been marked as a duplicate of this bug. ***
Comment 5 Jens Hatlak (:InvisibleSmiley) 2010-02-09 07:07:11 PST
Comment on attachment 424654 [details] [diff] [review]
patch v2 [Checkin: comments 3 + 6]

Requesting branch approval.

[KaiRo]	InvisibleSmiley: help changes are allowed, as long as the list of the help files stays the same
Comment 6 Jens Hatlak (:InvisibleSmiley) 2010-02-09 15:25:05 PST
Comment on attachment 424654 [details] [diff] [review]
patch v2 [Checkin: comments 3 + 6]

http://hg.mozilla.org/releases/comm-1.9.1/rev/b864dc431c06
Comment 7 neil@parkwaycc.co.uk 2010-02-10 03:13:28 PST
This isn't quite true. The passwords file is still encrypted, but you need the password to extract the encryption key from key3.db to decrypt the passwords.

Note You need to log in before you can comment on or make changes to this bug.